<!--
 - Created by MarcelBrimus on 29/11/2019.
 -->

<!-- Vtt Lightning Community Management Enabled Contact -->
<template>
    <td scope="col">
        <div title="Action">
            <lightning-button-group>
                <c-vtt_lightning_community_management_button_edit
                        contact={contact}></c-vtt_lightning_community_management_button_edit>
                <c-vtt_lightning_community_management_disable-user
                        contact={contact}
                        is-community-user={isCommunityUser}></c-vtt_lightning_community_management_disable-user>
                <template if:true={canMigrate}>
                    <lightning-button-icon icon-name="utility:change_owner"
                                           variant="border-filled"
                                           alternative-text="Migrate to Lightning"
                                           class="slds-m-left_xx-small"
                                           onclick={openMigrateModal}></lightning-button-icon>
                </template>
                <template if:true={canRevert}>
                    <lightning-button-icon icon-name="utility:cancel_transfer"
                                           variant="border-filled"
                                           alternative-text="Revert to classic"
                                           class="slds-m-left_xx-small"
                                           onclick={openRevertModal}></lightning-button-icon>
                </template>

            </lightning-button-group>
        </div>
    </td>
    <td role="gridcell"
        data-label="Name">
        <a onclick={navigateToRecord}> {contact.Name}</a>
    </td>
    <td role="gridcell"
        data-label="Vendor Portal User Role">
        {contact.Vendor_Portal_User_Role__c}
    </td>
    <td role="gridcell"
        data-label="User Name">
        {contact.User_Name__c}
    </td>
    <template if:false={isCommunityUser}>
        <td role="gridcell"
            data-label="Classic Or Lightning">
            <div if:true={isClassicCommunityUser}>
                <lightning-icon icon-name="utility:classic_interface" title="Classic"
                                alternative-text="Classic"></lightning-icon>
            </div>
            <div if:true={isLightningCommunityUser}>
                <lightning-icon variant="warning" icon-name="utility:trailhead" title="Lightning"
                                alternative-text="Lightning"></lightning-icon>
            </div>
        </td>
    </template>
    <template if:true={showRevertModal}>

        <section
                role="dialog"
                tabindex="-1"
                aria-labelledby="modal-heading-02"
                aria-modal="true"
                aria-describedby="modal-content-id-2"
                class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <div class="slds-is-relative">
                    <lightning-spinner size="small" if:true={migratingUser}></lightning-spinner>
                    <header class="slds-modal__header">
                        <h2 id="modal-heading-02-small"
                            class="slds-text-heading_medium slds-hyphenate">Are you sure you want to revert
                            {contact.Name}
                            back to classic community?</h2>
                    </header>
                    <footer class="slds-modal__footer">
                        <lightning-button-group class="slds-align_absolute-center">
                            <lightning-button label="Yes"
                                              variant="Success"
                                              disabled={migratingUser}
                                              onclick={migrateToCommunity}></lightning-button>
                            <lightning-button label="No"
                                              variant="Neutral"
                                              onclick={closeModal}></lightning-button>

                        </lightning-button-group>
                    </footer>
                </div>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
    <template if:true={showMigrateModal}>
        <section
                role="dialog"
                tabindex="-1"
                aria-labelledby="modal-heading-01"
                aria-modal="true"
                aria-describedby="modal-content-id-1"
                class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <div class="slds-is-relative">
                    <lightning-spinner size="small" if:true={migratingUser}></lightning-spinner>
                    <header class="slds-modal__header">
                        <h2 id="modal-heading-01-small"
                            class="slds-text-heading_medium slds-hyphenate">Are you sure you want to migrate
                            {contact.Name}
                            to lightning community?</h2>
                    </header>
                    <footer class="slds-modal__footer">
                        <lightning-button-group class="slds-align_absolute-center">
                            <lightning-button label="Yes"
                                              variant="Success"
                                              disabled={migratingUser}
                                              onclick={migrateToCommunity}></lightning-button>
                            <lightning-button label="No"
                                              variant="Neutral"
                                              onclick={closeModal}></lightning-button>

                        </lightning-button-group>
                    </footer>
                </div>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>
</template>